namespace '/video' do

  get '' do
    redirect '/video/list'
  end
  get '/list' do
    videos = Video.reverse(:updated_at).all()
    erb :'video/list', :locals => {
      :title => 'List of videos',
      :videos => videos
    }
  end

  get '/create' do
    channels = Channel.all()
    erb :'video/create', :locals => {
      :title => 'Create new video',
      :channels => channels
    }
  end
  post '/create' do
    video = Video.create(
      serial: params[:video_serial],
      name: params[:video_name],
      channel_id: params[:video_channel],
      description: params[:video_description]
    )
  
    redirect "/video/#{video.id}"
  end

  get '/:video_id' do
    video = Video.where(id: params[:video_id]).first()
    puts "#{video.name}"
    erb :'video/view', :locals => {
      :title => video.name,
      :video => video
    }
  end

end
